Bug 313401 - date --help, man date and info date now omit --iso option
date --help, man date and info date now omit --iso option
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 20:41 EDT by Edward J. Huff
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 11:21:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edward J. Huff 2007-09-30 20:41:41 EDT
Description of problem:
date --help, man date and info date now omit --iso option

Version-Release number of selected component (if applicable):

$ rpm -q coreutils
coreutils-5.97-12.5.fc6
$ rpm -ql coreutils | grep date
/bin/date
/usr/share/man/man1/date.1.gz
$ rpm -ql coreutils | grep info
/usr/share/info/coreutils.info.gz

How reproducible:
every time

Steps to Reproduce:
1. date --help or man date or info date
2. search for --iso
3.
  
Actual results:
not found

Expected results:
documentation of date --iso

Additional info:

$ date --iso=sec
2007-09-30T20:38:15-0400
$ date --help | grep iso
$
Comment 1 Ondrej Vasik 2007-10-24 11:21:25 EDT
There was following entry for iso option in the past
-ITIMESPEC, --iso-8601[=TIMESPEC]  output date/time in ISO 8601 format.
            TIMESPEC=`date' for date only,
            `hours', `minutes', or `seconds' for date and
             time to the indicated precision.
             --iso-8601 without TIMESPEC defaults to `date'.

Was removed as --iso option is marked as deprecated in 5.90 release.  You should
use --rfc-3339=TIMESPEC instead of it. Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.